package com.fs.company.domain;

import java.math.BigDecimal;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 出库对象 company_product_outstock
 *
 * @author fs
 * @date 2025-07-01
 */
public class CompanyProductOutstock extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 产品ID */
    @Excel(name = "产品ID")
    private Long productId;

    /** 库存ID */
    @Excel(name = "库存ID")
    private Long stockId;

    /** 计划ID */
    @Excel(name = "计划ID")
    private Long planId;

    /** 公司ID */
    @Excel(name = "公司ID")
    private Long companyId;

    /** 批次号 */
    @Excel(name = "批次号")
    private String batchNo;

    /** 出库数量 */
    @Excel(name = "出库数量")
    private Long num;

    /** 当前库存 */
    @Excel(name = "当前库存")
    private Long stock;

    /** 仓库编号 */
    @Excel(name = "仓库编号")
    private String storeCode;

    /** SKU */
    @Excel(name = "SKU")
    private String sku;

    /** 成本价 */
    @Excel(name = "成本价")
    private BigDecimal costPrice;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    /** 创建者 */
    @Excel(name = "创建者")
    private Long createUserId;

    /** 更新者 */
    @Excel(name = "更新者")
    private Long updateUserId;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer isDel;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setProductId(Long productId)
    {
        this.productId = productId;
    }

    public Long getProductId()
    {
        return productId;
    }
    public void setStockId(Long stockId)
    {
        this.stockId = stockId;
    }

    public Long getStockId()
    {
        return stockId;
    }
    public void setPlanId(Long planId)
    {
        this.planId = planId;
    }

    public Long getPlanId()
    {
        return planId;
    }
    public void setCompanyId(Long companyId)
    {
        this.companyId = companyId;
    }

    public Long getCompanyId()
    {
        return companyId;
    }
    public void setBatchNo(String batchNo)
    {
        this.batchNo = batchNo;
    }

    public String getBatchNo()
    {
        return batchNo;
    }
    public void setNum(Long num)
    {
        this.num = num;
    }

    public Long getNum()
    {
        return num;
    }
    public void setStock(Long stock)
    {
        this.stock = stock;
    }

    public Long getStock()
    {
        return stock;
    }
    public void setStoreCode(String storeCode)
    {
        this.storeCode = storeCode;
    }

    public String getStoreCode()
    {
        return storeCode;
    }
    public void setSku(String sku)
    {
        this.sku = sku;
    }

    public String getSku()
    {
        return sku;
    }
    public void setCostPrice(BigDecimal costPrice)
    {
        this.costPrice = costPrice;
    }

    public BigDecimal getCostPrice()
    {
        return costPrice;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }
    public void setCreateUserId(Long createUserId)
    {
        this.createUserId = createUserId;
    }

    public Long getCreateUserId()
    {
        return createUserId;
    }
    public void setUpdateUserId(Long updateUserId)
    {
        this.updateUserId = updateUserId;
    }

    public Long getUpdateUserId()
    {
        return updateUserId;
    }
    public void setIsDel(Integer isDel)
    {
        this.isDel = isDel;
    }

    public Integer getIsDel()
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("productId", getProductId())
            .append("stockId", getStockId())
            .append("planId", getPlanId())
            .append("companyId", getCompanyId())
            .append("batchNo", getBatchNo())
            .append("num", getNum())
            .append("stock", getStock())
            .append("storeCode", getStoreCode())
            .append("sku", getSku())
            .append("costPrice", getCostPrice())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("createUserId", getCreateUserId())
            .append("updateUserId", getUpdateUserId())
            .append("isDel", getIsDel())
            .toString();
    }
}
